ServerEvents.recipes(event => {
    event.custom({
        "type": "minecraft:crafting_shapeless",
        "category": "misc",
        "ingredients": [
          {
            "item": "vintagedelight:salt_dust"
          }
        ],
        "result": {
          "item": "ddc:grain_of_salt",
          "count": 9
        }
      })
})